Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1861103

Summary: Rebuild mupdf against jbig2dec-libs-0.18-1
Product: [Fedora] Fedora Reporter: Daniel Moerner <daniel>
Component: mupdfAssignee: Michael J Gruber <mjg>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: mjg
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mupdf-1.17.0-3.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-05 01:20:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1860987    

Description Daniel Moerner 2020-07-27 20:16:23 UTC
If you open certain pdfs (e.g., https://www.jstor.org/stable/42705831) with mupdf 1.17.0-2.fc32, it shows a blank screen and shows the following error in the terminal:

warning: jbig2dec error: incompatible jbig2dec header (0.17) and library (0.18) versions (segment -1)
error: cannot allocate jbig2 context
warning: Ignoring error during interpretation

Rebuilding mupdf fixes this problem. This also breaks packages that build against mupdf, like zathura-pdf-mupdf.

Comment 1 Michael J Gruber 2020-07-27 20:50:42 UTC
Oh well. The issues is that jbig2dec is not abi stable. I do try to keep jbig2dec abi stable nonetheless, but recently jbig2dec apparantly started to be be smart ass and check the version of the (unversioned) library against the version of the headers which a programm was compiled against. I'm still lacking a good solution and am open to concrete suggestions. (I've got enough non-concrete ones already.)

As a stop-gap, I will require the exact jbig2dec version in mupdf and rebuild against jbig2dec 0.18. Probably zathura-pdf-mupdf should do the same then.

Comment 2 Fedora Update System 2020-07-27 21:32:40 UTC
FEDORA-2020-91a0a1a716 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-91a0a1a716

Comment 3 Fedora Update System 2020-07-28 15:20:22 UTC
FEDORA-2020-91a0a1a716 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-91a0a1a716`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-91a0a1a716

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-08-05 01:20:27 UTC
FEDORA-2020-91a0a1a716 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.